	component de10_lite_qsys is
		port (
			alt_vip_itc_clocked_video_vid_clk       : in    std_logic                     := 'X';             -- vid_clk
			alt_vip_itc_clocked_video_vid_data      : out   std_logic_vector(23 downto 0);                    -- vid_data
			alt_vip_itc_clocked_video_underflow     : out   std_logic;                                        -- underflow
			alt_vip_itc_clocked_video_vid_datavalid : out   std_logic;                                        -- vid_datavalid
			alt_vip_itc_clocked_video_vid_v_sync    : out   std_logic;                                        -- vid_v_sync
			alt_vip_itc_clocked_video_vid_h_sync    : out   std_logic;                                        -- vid_h_sync
			alt_vip_itc_clocked_video_vid_f         : out   std_logic;                                        -- vid_f
			alt_vip_itc_clocked_video_vid_h         : out   std_logic;                                        -- vid_h
			alt_vip_itc_clocked_video_vid_v         : out   std_logic;                                        -- vid_v
			arduino_pio_external_export             : inout std_logic_vector(15 downto 0) := (others => 'X'); -- export
			arduino_spi_external_MISO               : in    std_logic                     := 'X';             -- MISO
			arduino_spi_external_MOSI               : out   std_logic;                                        -- MOSI
			arduino_spi_external_SCLK               : out   std_logic;                                        -- SCLK
			arduino_spi_external_SS_n               : out   std_logic;                                        -- SS_n
			clk_clk                                 : in    std_logic                     := 'X';             -- clk
			clk_sdram_clk                           : out   std_logic;                                        -- clk
			clk_vga_clk                             : out   std_logic;                                        -- clk
			g_sensor_i2c_scl_external_export        : out   std_logic;                                        -- export
			g_sensor_i2c_sda_external_export        : inout std_logic                     := 'X';             -- export
			g_sensor_int_external_export            : in    std_logic_vector(1 downto 0)  := (others => 'X'); -- export
			pio_key_external_connection_export      : in    std_logic_vector(1 downto 0)  := (others => 'X'); -- export
			pio_led_external_connection_export      : out   std_logic_vector(9 downto 0);                     -- export
			pio_sw_external_connection_export       : in    std_logic_vector(9 downto 0)  := (others => 'X'); -- export
			reset_reset_n                           : in    std_logic                     := 'X';             -- reset_n
			sdram_wire_addr                         : out   std_logic_vector(12 downto 0);                    -- addr
			sdram_wire_ba                           : out   std_logic_vector(1 downto 0);                     -- ba
			sdram_wire_cas_n                        : out   std_logic;                                        -- cas_n
			sdram_wire_cke                          : out   std_logic;                                        -- cke
			sdram_wire_cs_n                         : out   std_logic;                                        -- cs_n
			sdram_wire_dq                           : inout std_logic_vector(15 downto 0) := (others => 'X'); -- dq
			sdram_wire_dqm                          : out   std_logic_vector(1 downto 0);                     -- dqm
			sdram_wire_ras_n                        : out   std_logic;                                        -- ras_n
			sdram_wire_we_n                         : out   std_logic;                                        -- we_n
			seg7_conduit_end_export                 : out   std_logic_vector(47 downto 0);                    -- export
			system_pll_areset_conduit_export        : in    std_logic                     := 'X';             -- export
			system_pll_phasedone_conduit_export     : out   std_logic;                                        -- export
			tft_spi_dc_export                       : out   std_logic                                         -- export
		);
	end component de10_lite_qsys;

	u0 : component de10_lite_qsys
		port map (
			alt_vip_itc_clocked_video_vid_clk       => CONNECTED_TO_alt_vip_itc_clocked_video_vid_clk,       --    alt_vip_itc_clocked_video.vid_clk
			alt_vip_itc_clocked_video_vid_data      => CONNECTED_TO_alt_vip_itc_clocked_video_vid_data,      --                             .vid_data
			alt_vip_itc_clocked_video_underflow     => CONNECTED_TO_alt_vip_itc_clocked_video_underflow,     --                             .underflow
			alt_vip_itc_clocked_video_vid_datavalid => CONNECTED_TO_alt_vip_itc_clocked_video_vid_datavalid, --                             .vid_datavalid
			alt_vip_itc_clocked_video_vid_v_sync    => CONNECTED_TO_alt_vip_itc_clocked_video_vid_v_sync,    --                             .vid_v_sync
			alt_vip_itc_clocked_video_vid_h_sync    => CONNECTED_TO_alt_vip_itc_clocked_video_vid_h_sync,    --                             .vid_h_sync
			alt_vip_itc_clocked_video_vid_f         => CONNECTED_TO_alt_vip_itc_clocked_video_vid_f,         --                             .vid_f
			alt_vip_itc_clocked_video_vid_h         => CONNECTED_TO_alt_vip_itc_clocked_video_vid_h,         --                             .vid_h
			alt_vip_itc_clocked_video_vid_v         => CONNECTED_TO_alt_vip_itc_clocked_video_vid_v,         --                             .vid_v
			arduino_pio_external_export             => CONNECTED_TO_arduino_pio_external_export,             --         arduino_pio_external.export
			arduino_spi_external_MISO               => CONNECTED_TO_arduino_spi_external_MISO,               --         arduino_spi_external.MISO
			arduino_spi_external_MOSI               => CONNECTED_TO_arduino_spi_external_MOSI,               --                             .MOSI
			arduino_spi_external_SCLK               => CONNECTED_TO_arduino_spi_external_SCLK,               --                             .SCLK
			arduino_spi_external_SS_n               => CONNECTED_TO_arduino_spi_external_SS_n,               --                             .SS_n
			clk_clk                                 => CONNECTED_TO_clk_clk,                                 --                          clk.clk
			clk_sdram_clk                           => CONNECTED_TO_clk_sdram_clk,                           --                    clk_sdram.clk
			clk_vga_clk                             => CONNECTED_TO_clk_vga_clk,                             --                      clk_vga.clk
			g_sensor_i2c_scl_external_export        => CONNECTED_TO_g_sensor_i2c_scl_external_export,        --    g_sensor_i2c_scl_external.export
			g_sensor_i2c_sda_external_export        => CONNECTED_TO_g_sensor_i2c_sda_external_export,        --    g_sensor_i2c_sda_external.export
			g_sensor_int_external_export            => CONNECTED_TO_g_sensor_int_external_export,            --        g_sensor_int_external.export
			pio_key_external_connection_export      => CONNECTED_TO_pio_key_external_connection_export,      --  pio_key_external_connection.export
			pio_led_external_connection_export      => CONNECTED_TO_pio_led_external_connection_export,      --  pio_led_external_connection.export
			pio_sw_external_connection_export       => CONNECTED_TO_pio_sw_external_connection_export,       --   pio_sw_external_connection.export
			reset_reset_n                           => CONNECTED_TO_reset_reset_n,                           --                        reset.reset_n
			sdram_wire_addr                         => CONNECTED_TO_sdram_wire_addr,                         --                   sdram_wire.addr
			sdram_wire_ba                           => CONNECTED_TO_sdram_wire_ba,                           --                             .ba
			sdram_wire_cas_n                        => CONNECTED_TO_sdram_wire_cas_n,                        --                             .cas_n
			sdram_wire_cke                          => CONNECTED_TO_sdram_wire_cke,                          --                             .cke
			sdram_wire_cs_n                         => CONNECTED_TO_sdram_wire_cs_n,                         --                             .cs_n
			sdram_wire_dq                           => CONNECTED_TO_sdram_wire_dq,                           --                             .dq
			sdram_wire_dqm                          => CONNECTED_TO_sdram_wire_dqm,                          --                             .dqm
			sdram_wire_ras_n                        => CONNECTED_TO_sdram_wire_ras_n,                        --                             .ras_n
			sdram_wire_we_n                         => CONNECTED_TO_sdram_wire_we_n,                         --                             .we_n
			seg7_conduit_end_export                 => CONNECTED_TO_seg7_conduit_end_export,                 --             seg7_conduit_end.export
			system_pll_areset_conduit_export        => CONNECTED_TO_system_pll_areset_conduit_export,        --    system_pll_areset_conduit.export
			system_pll_phasedone_conduit_export     => CONNECTED_TO_system_pll_phasedone_conduit_export,     -- system_pll_phasedone_conduit.export
			tft_spi_dc_export                       => CONNECTED_TO_tft_spi_dc_export                        --                   tft_spi_dc.export
		);

